﻿@model IEnumerable<MvcWebsiteOcc.Areas.administrators.Models.CarType>
@using MvcWebsiteOcc.Models;
@{if (Model.Count() > 0)
  {
    <section id="our-cars" class="page-section">
        <div class="container">
            <h2 class="section-title wow fadeInUp" data-wow-offset="70" data-wow-delay="500ms">
                <small>@Html.Localize("cacloaixetd")</small>
                <span>@Html.Localize("cacloaixett")</span>
            </h2>
            <div class="tabs awesome wow fadeInUp" data-wow-offset="70" data-wow-delay="500ms">
                <ul id="tabs1" class="nav">
                    @{foreach (var type in Model)
                      {
                          if (type.SortOrder == (Model.Count()))
                          {
                        <li class="loai_xe_li active"><a href="#tab_loaixe_@type.SortOrder" data-toggle="tab">@type.TypeName</a></li>
                          }
                          else
                          {
                        <li class="loai_xe_li"><a href="#tab_loaixe_@type.SortOrder" data-toggle="tab">@type.TypeName</a></li>
                          }
                      }}
                </ul>
            </div>
            <div class="tab-content wow fadeInUp" data-wow-offset="70" data-wow-delay="500ms">
                <!-- tab vip -->
                @{foreach (var type in Model)
                  {
                      string active = "";
                      if (type.SortOrder == Model.Count())
                      {
                          active = "active in";
                      }
                    <div class="tab-pane fade @active" id="tab_loaixe_@type.SortOrder">
                        @* @{Html.RenderAction("_chitietloaixe", "common", new { loaixeID = item.TypeID });}*@
                        @{var carInType = type.CarModels.ToList();}
                        <div class="car-big-card">
                            <div class="row">
                                <div class="col-md-3">
                                    <div class="tabs awesome-sub">
                                        <ul id="tabs_@type.TypeID" class="nav">
                                            @{string activesub = "";
                                              int subOrder = 1;
                                              foreach (var car in carInType)
                                              {
                                                  if (subOrder == 1)
                                                  {
                                                      activesub = "active";
                                                  }
                                                  else
                                                  {
                                                      activesub = "";
                                                  }
                                                <li class="@activesub"><a href="#tab_chitiet_@car.ModID" data-toggle="tab">@car.ModName</a></li>
                                                  subOrder++;
                                              }}

                                        </ul>
                                    </div>
                                </div>
                                <div class="col-md-9">
                                    <!-- Sub tabs content -->
                                    <div class="tab-content">
                                        @{string activetab = "";
                                          int orderTab = 1;
                                          foreach (var car in carInType)
                                          {
                                              if (orderTab == 1)
                                              {
                                                  activetab = "active in";
                                              }
                                              else
                                              {
                                                  activetab = "";
                                              }
                                            <div class="tab-pane fade @activetab" id="tab_chitiet_@car.ModID">
                                                <div class="row">
                                                    <div class="col-md-8">
                                                        <!-- Swiper -->
                                                        <div class="swiper-container" id="chitiet_@car.ModID">
                                                            <div class="swiper-wrapper">
                                                                <div class="swiper-slide">
                                                                    <a class="btn btn-zoom" href="/Uploaded/Images/dongxe/@car.Folder/@car.ModImage" data-gal="prettyPhoto" ><i class="fa fa-arrows-h"></i></a>
                                                                    <img class="img-responsive" src="/Uploaded/Images/dongxe/@car.Folder/@car.ModImage" alt="" />
                                                                </div>
                                                                @{var carImages = car.CarModelsImages.ToList();
                                                                  foreach (var img in carImages)
                                                                  {
                                                                    <div class="swiper-slide">
                                                                        <a class="btn btn-zoom" href="/Uploaded/Images/dongxe/@img.Folder/@img.ImageName" data-gal="prettyPhoto" ><i class="fa fa-arrows-h"></i></a>
                                                                        <img class="img-responsive" src="/Uploaded/Images/dongxe/@img.Folder/@img.ImageName" alt="" />
                                                                    </div>
                                                                  }
                                                                }
                                                            </div>
                                                            <div class="row car-thumbnails"></div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-4">
                                                        <div class="car-details">
                                                            <div class="price">
                                                                @{if (car.ModPrice != 0)
                                                                  {
                                                                    <strong>@car.ModPrice.ToString("#,###") ₫</strong> <span>@Html.Localize("ngay")</span> <i class="fa fa-info-circle"></i>
                                                                  }
                                                                  else
                                                                  {
                                                                    <strong>Giá liên hệ</strong> <i class="fa fa-info-circle"></i>
                                                                  }
                                                                }
                                                            </div>
                                                            <div class="list">
                                                                <ul>
                                                                    @{if (car.ModBrand != null)
                                                                      {
                                                                        <li><b>Hãng</b>: @car.ModBrand</li>
                                                                      }
                                                                      if (car.ModColor != null)
                                                                      { 
                                                                        <li><b>Màu xe</b>: @car.ModColor</li>
                                                                      }
                                                                      if (car.ModYear != null)
                                                                      {
                                                                        <li><b>Đời xe</b>: @car.ModYear</li>
                                                                      }
                                                                    }
                                                                </ul>
                                                            </div>
                                                            <div class="button">
                                                                <a href="/dat-xe?carID=@car.ModID" class="btn btn-theme ripple-effect btn-theme-dark btn-block">@Html.Localize("datxe")</a>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                                                      orderTab++;
                                          }}
                                    </div>
                                    <!-- /Sub tabs content -->
                                </div>
                            </div>
                        </div>
                        <div class="text-center margin-top wow fadeInDown" data-wow-offset="200" data-wow-delay="100ms">
                            <a href="/cac-loai-xe/loai-xe/@OccConvert.LayUrl(type.TypeName, type.TypeID)" class="btn btn-theme ripple-effect btn-theme-light btn-more-posts">@Html.Localize("xemthem")</a>
                        </div>
                    </div>
                  }}
            </div>
        </div>
    </section>

  }}